Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Constants | Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# RealTimeMessage

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.games.multiplayer.realtime.RealTimeMessage

## Class Overview

Message received from participants in a real-time room, which is passed to the client.

## Summary

Constants
int | RELIABLE |
int | UNRELIABLE |

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<RealTimeMessage> | CREATOR |

Public Methods
int | describeContents()
byte[] | getMessageData()
String | getSenderParticipantId()
boolean | isReliable()
void | writeToParcel(Parcel parcel, int flag)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Constants

#### public static final int RELIABLE

Constant Value: 1 (0x00000001)

#### public static final int UNRELIABLE

Constant Value: 0 (0x00000000)

## Fields

#### public static final Creator<RealTimeMessage> CREATOR

## Public Methods

#### public int describeContents ()

#### public byte[] getMessageData ()

##### Returns

- The message data.

#### public String getSenderParticipantId ()

##### Returns

- The participant ID of the message sender.

#### public boolean isReliable ()

##### Returns

- Whether this message was sent over a reliable channel.

#### public void writeToParcel (Parcel parcel, int flag)